# List collections

Paginated list knowledge collections

Endpoint: GET /beta/knowledge/collections
Version: beta
Security: ApiKeyAuth

## Query parameters:

  - `pageLimit` (integer)
    Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

  - `pageKey` (string)
    Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (string, required)

  - `data.title` (string, required)

  - `data.description` (string)

  - `data.internalKbEnabled` (boolean, required)

  - `data.restrictions` (object, required)

  - `data.restrictions.isRestricted` (boolean, required)

  - `data.restrictions.inheritedRestrictions` (array)

  - `data.restrictions.inheritedRestrictions.fromCollection` (string)

  - `data.restrictions.inheritedRestrictions.fromCategory` (string)

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 404 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)

